# wxQueryLayoutInfoEvent Class Reference
[Events]

`#include <wx/laywin.h>`

Inheritance diagram for wxQueryLayoutInfoEvent:
[legend]

## Detailed Description

This event is sent when wxLayoutAlgorithm wishes to get the size, orientation and alignment of a window.

More precisely, the event is sent by the OnCalculateLayout handler which is itself invoked by wxLayoutAlgorithm.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxQueryLayoutInfoEvent& event)
Event macros:

- EVT_QUERY_LAYOUT_INFO(func):
  Process a `wxEVT_QUERY_LAYOUT_INFO` event, to get size, orientation and alignment from a window.

##

Library: wxAdvanced

Category: Events

See also:
  wxCalculateLayoutEvent, wxSashLayoutWindow, wxLayoutAlgorithm.

## Public Member Functions
| wxQueryLayoutInfoEvent (wxWindowID id=0)
| Constructor.
wxLayoutAlignment | GetAlignment () const
| Specifies the alignment of the window (which side of the remaining parent client area the window sticks to).
int | GetFlags () const
| Returns the flags associated with this event.
wxLayoutOrientation | GetOrientation () const
| Returns the orientation that the event handler specified to the event object.
int | GetRequestedLength () const
| Returns the requested length of the window in the direction of the window orientation.
wxSize | GetSize () const
| Returns the size that the event handler specified to the event object as being the requested size of the window.
void | SetAlignment (wxLayoutAlignment alignment)
| Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to).
void | SetFlags (int flags)
| Sets the flags associated with this event.
void | SetOrientation (wxLayoutOrientation orientation)
| Call this to specify the orientation of the window.
void | SetRequestedLength (int length)
| Sets the requested length of the window in the direction of the window orientation.
void | SetSize (const wxSize &size)
| Call this to let the calling code know what the size of the window is.

List of all members.

## Constructor & Destructor Documentation

wxQueryLayoutInfoEvent::wxQueryLayoutInfoEvent | ( | wxWindowID | id = `0` | ) |

Constructor.

## Member Function Documentation

wxLayoutAlignment wxQueryLayoutInfoEvent::GetAlignment | ( |  | ) | const

Specifies the alignment of the window (which side of the remaining parent client area the window sticks to).

One of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

int wxQueryLayoutInfoEvent::GetFlags | ( |  | ) | const

Returns the flags associated with this event.

Not currently used.

wxLayoutOrientation wxQueryLayoutInfoEvent::GetOrientation | ( |  | ) | const

Returns the orientation that the event handler specified to the event object.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

int wxQueryLayoutInfoEvent::GetRequestedLength | ( |  | ) | const

Returns the requested length of the window in the direction of the window orientation.

This information is not yet used.

wxSize wxQueryLayoutInfoEvent::GetSize | ( |  | ) | const

Returns the size that the event handler specified to the event object as being the requested size of the window.

void wxQueryLayoutInfoEvent::SetAlignment | ( | wxLayoutAlignment | alignment | ) |

Call this to specify the alignment of the window (which side of the remaining parent client area the window sticks to).

May be one of wxLAYOUT_TOP, wxLAYOUT_LEFT, wxLAYOUT_RIGHT, wxLAYOUT_BOTTOM.

void wxQueryLayoutInfoEvent::SetFlags | ( | int | flags | ) |

Sets the flags associated with this event.

Not currently used.

void wxQueryLayoutInfoEvent::SetOrientation | ( | wxLayoutOrientation | orientation | ) |

Call this to specify the orientation of the window.

May be one of wxLAYOUT_HORIZONTAL, wxLAYOUT_VERTICAL.

void wxQueryLayoutInfoEvent::SetRequestedLength | ( | int | length | ) |

Sets the requested length of the window in the direction of the window orientation.

This information is not yet used.

void wxQueryLayoutInfoEvent::SetSize | ( | const wxSize & | size | ) |

Call this to let the calling code know what the size of the window is.

|  | [ top ]